Last Comment Bug 589533 - Cursor at end of text of import calendar list pop-up/popup/window/dialog
: Cursor at end of text of import calendar list pop-up/popup/window/dialog
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Import and Export (show other bugs)
: Lightning 1.0b2
: x86 Windows XP
: -- minor (vote)
: 2.1
Assigned To: Sebastian H. [:aryx][:archaeopteryx]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-22 02:40 PDT by Sebastian H. [:aryx][:archaeopteryx]
Modified: 2012-11-16 17:37 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
calendar import popup (6.40 KB, image/png)
2010-08-22 02:40 PDT, Sebastian H. [:aryx][:archaeopteryx]
no flags Details
patch: replace textbox with wrapping label in chooseCalendarDialog.xul, v1 (2.06 KB, patch)
2012-10-16 15:24 PDT, Sebastian H. [:aryx][:archaeopteryx]
philipp: review+
Details | Diff | Review
patch for checkin: replace textbox with label, v2 (2.05 KB, patch)
2012-11-16 12:56 PST, Sebastian H. [:aryx][:archaeopteryx]
no flags Details | Diff | Review

Description Sebastian H. [:aryx][:archaeopteryx] 2010-08-22 02:40:58 PDT
Created attachment 468124 [details]
calendar import popup

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.8) Gecko/20100802 Lightning/1.0b2 Thunderbird/3.1.2

I can see a cursor cursor at the end of the import calendar list pop-up/popup/window/dialog.
Comment 1 Sebastian H. [:aryx][:archaeopteryx] 2012-10-15 12:15:28 PDT
Fallen, are you okay with a patch replacing the textbox with a description with a text child node in chooseCalendarDialog.xul? This works for me in a test:

<description id="prompt"></description>

and

document.getElementById("prompt").textContent = window.arguments[0].promptText;
Comment 2 Philipp Kewisch [:Fallen] 2012-10-16 01:41:39 PDT
Looks like the review comment from bug 323085 comment 17 was never actually taken care of ;-)

Yes, that sounds good. While you are here, could you also add some accessibility features, I think it was:

<description id="prompt" for="id-of-listbox"/>

Please doublecheck.
Comment 3 Sebastian H. [:aryx][:archaeopteryx] 2012-10-16 15:24:24 PDT
Created attachment 672053 [details] [diff] [review]
patch: replace textbox with wrapping label in chooseCalendarDialog.xul, v1

For XUL label, it's control="id", not for="id" like in HTML.
Comment 4 Philipp Kewisch [:Fallen] 2012-11-08 05:06:12 PST
Comment on attachment 672053 [details] [diff] [review]
patch: replace textbox with wrapping label in chooseCalendarDialog.xul, v1

Review of attachment 672053 [details] [diff] [review]:
-----------------------------------------------------------------

r=philipp with the following nit fixed:

::: calendar/base/content/dialogs/chooseCalendarDialog.xul
@@ +80,5 @@
>          }
>      ]]></script>
>  
>      <vbox id="dialog-box" flex="1">
> +        <label id="prompt" control="calendar-list"></label>

To align with the rest, you could use a short close tag.
Comment 5 Sebastian H. [:aryx][:archaeopteryx] 2012-11-16 12:56:39 PST
Created attachment 682592 [details] [diff] [review]
patch for checkin: replace textbox with label, v2
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-11-16 16:08:18 PST
https://hg.mozilla.org/comm-central/rev/890a72806339

Note You need to log in before you can comment on or make changes to this bug.